#ifndef FLOWER_H
#define FLOWER_H

#include <iostream>
using namespace std;

const int MAX_NAME = 10;

class Flower{
private:
	char* name;
	int price;
public:
	Flower();
	Flower(char* name, int p);
	Flower(const Flower &f);
	~Flower();

	//Descr: access the name of a flower 
	//In: a flower 
	//Out: the name
	char* const getName() const{
		//return name;
		return this->name;
	}

	int getPrice();
	void setName(char* n);
	void setPrice(int p);
	char* toString();
	bool compare(Flower &f);
};

#endif


