#include "testFlower.h"
#include "assert.h"

void tests(){
	Flower f1 = Flower();	//empty flower
	//Flower f1;
	assert (f1.getName() == NULL);
	assert (f1.getPrice() == 0);
	assert (strcmp(f1.toString(), "") == 0);

	Flower f2 = Flower("tulip", 10);	//a flower with info
	assert (strcmp(f2.getName(), "tulip") == 0);
	assert (f2.getPrice() == 10);
	assert (strcmp(f2.toString(), "tulip;10;") == 0);
	
	Flower f3 = Flower(f2);	//f3 = a copy of flower f2
	assert (strcmp(f3.getName(), "tulip") == 0);
	assert (f3.getPrice() == 10);
	assert (strcmp(f3.toString(),"tulip;10;") == 0);

	assert (f2.compare(f3) == true);

	f3.setPrice(5);
	assert (f3.getPrice() == 5);
	assert (strcmp(f3.toString(),"tulip;5;") == 0);

	assert (f2.compare(f3) == false);


}
